classification
Title: Document how to open non-default webbrowser
Type: behavior Stage: needs patch
Components: Documentation, Library (Lib) Versions: Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Improve webbrowser (.open) doc and behavior
View: 10799
Assigned To: docs@python Nosy List: docs@python, eric.araujo, georg.brandl, hirsh, terry.reedy
Priority: normal Keywords:

Created on 2011-06-02 09:14 by hirsh, last changed 2011-06-04 00:12 by terry.reedy. This issue is now closed.

Messages (3)
msg137469 - (view) Author: de (hirsh) Date: 2011-06-02 09:14
hi all,
I'm using win7, with Ff as default browser.
i wont to open url in other browser installed on my PC.
i tried:
url = 'http://www.google.com'
op = webbrowser.get('opera')
op.open(url)

and i get this error:
Traceback (most recent call last):
  File "<pyshell#26>", line 1, in <module>
    op = webbrowser.get('opera')
  File "C:\Python27\lib\webbrowser.py", line 52, in get
    raise Error("could not locate runnable browser")
Error: could not locate runnable browser

can anyone help?
msg137527 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-03 15:39
Hello.  This tracker is used to report bugs and file feature requests for Python itself, not request help (mailing list such as http://mail.python.org/pipermail/python-list/ are appropriate venues to ask for for help).  I’m changing your question to a bug report about missing documentation.
msg137613 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-06-04 00:12
The intended method of using a non-default browser is well documented and the OP did exactly the right thing. However, even if Opera is present, the 'right thing' does not work because nothing but iexplorer gets registered (and that not completely usefully), even if present on the system, because the registration code is buggy, as discussed in #10799.

Hirch, if you had clicked Search and entered 'webbrowser' in the 'All text' box, you could have found that report.

If you add a note to #10799 as to the exact default location of Opera (within Program Files, I presume), it might eventually help.
History
Date User Action Args
2011-06-04 00:12:54terry.reedysetstatus: open -> closed

superseder: Improve webbrowser (.open) doc and behavior
type: behavior
components: + Library (Lib)

nosy: + terry.reedy, georg.brandl
messages: + msg137613
resolution: duplicate
2011-06-03 15:39:17eric.araujosetassignee: docs@python

components: + Documentation
title: how to open non defult browser? -> Document how to open non-default webbrowser
nosy: + docs@python, eric.araujo
versions: + Python 2.7, Python 3.2, Python 3.3
messages: + msg137527
stage: needs patch
2011-06-02 09:14:01hirshcreate